traverse_relationships
curl --request GET \
--url https://portal.quoindata.com/api/v2/entities/{entity_ref}/relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://portal.quoindata.com/api/v2/entities/{entity_ref}/relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://portal.quoindata.com/api/v2/entities/{entity_ref}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": {
"root_ref": "<string>",
"depth": 2,
"nodes": [
{}
],
"edges": [
{
"relationship_ref": "<string>",
"subject_ref": "<string>",
"predicate": "<string>",
"object_ref": "<string>",
"direction": "out",
"precision": "exact",
"method": "<string>",
"confidence": 0.5,
"status": "current",
"generation_id": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"source_refs": []
}
],
"max_nodes": 100,
"max_edges": 100
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}API Reference
traverse_relationships
GET
/
api
/
v2
/
entities
/
{entity_ref}
/
relationships
traverse_relationships
Authorizations
Send Authorization: Bearer qk_… using an API key created in the Quoin Developer Portal.
Path Parameters
Required string length:
1 - 512Query Parameters
Available options:
out, in, both Maximum array length:
50Required string length:
1 - 256Required range:
1 <= x <= 3Required range:
1 <= x <= 200Required range:
1 <= x <= 200Required range:
1 <= x <= 100Required string length:
1 - 4096Response
Canonical response envelope.
Allowed value:
"quoin-v2"Required string length:
1 - 512Required string length:
1 - 256Available options:
ok, partial, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes